/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import {HTMLStencilElement, JSXBase} from '@stencil/core/internal';
import {
  ButtonVariants,
  GridAlignVariants,
  GridColumns,
  GridColumnsLg,
  GridColumnsSm,
  HeadingSectionVariants,
  HeadingVarians,
  LinkVariants,
  ProcessFlowBoxStepStates,
  ProcessFlowBoxVariants
} from './utils/utils';
import {ProcessFlowBoxValue} from './components/process/process';
export namespace Components {
  interface ColorBox {}
  interface HyAccordionContainer {
    accordionid?: string;
  }
  interface HyAccordionItem {
    accordiontitle?: string;
  }
  interface HyBadge {
    variant: 'primary' | 'warn' | 'success' | 'disabled';
  }
  interface HyBaseline {
    /**
     * Top margin to be added to all but first element. Amount of rem:s
     */
    margin: number;
  }
  interface HyBox {
    /**
     * value for vertical alignment (align-items)
     */
    align: string;
    /**
     * background color. Must use one of css variable names from color tokens
     */
    bg?: string;
    /**
     * fixed height for the container, useful for extra spacing containers
     */
    h?: number;
    /**
     * Value for horisontal alignment (justify-content)
     */
    justify: string;
    /**
     * All sides padding value in rems. Responsive when given Comma separated values.
     */
    p?: string;
    /**
     * Bottom padding in rems. Responsive when given Comma separated values.
     */
    pb?: string;
    /**
     * Left padding in rems. Responsive when given Comma separated values.
     */
    pl?: string;
    /**
     * Right padding in rems. Responsive when given Comma separated values.
     */
    pr?: string;
    /**
     * Top padding in rems. Responsive when given Comma separated values.
     */
    pt?: string;
    /**
     * Responsive width. Must be a comma separated string of percentage values for breakpoints. First item is the default value.
     */
    width: string;
  }
  interface HyBoxContainer {
    /**
     * Should the container have a max width of 90rems
     */
    maxWidth: boolean;
    /**
     * Should the items wrap to new rows.
     */
    wrap: boolean;
  }
  interface HyButton {
    /**
     * Aria label for the element
     */
    ariaLabel?: string;
    /**
     * Use this to programmatically disable the button, matches the native button functionality
     */
    disabled: boolean;
    /**
     * Icon to use on the left side
     */
    icon?: string;
    /**
     * Icon to use on the right side
     */
    iconRight?: string;
    /**
     * Use only with url property. Sets the
     */
    isExternal?: boolean;
    /**
     * Size (height) of the button. Normal: 44px, large: 48px
     */
    size: 'normal' | 'large';
    /**
     * deprecated, use disabled boolean value
     */
    state: 'enabled' | 'disabled';
    /**
     * Set this on if an anchor tag is required instead of a button.
     */
    url?: string;
    /**
     * The element variant. Defaults to primary
     */
    variant: ButtonVariants;
  }
  interface HyCtaLiftupImageText {
    imageAlt: string;
    imageRight: boolean;
    imageUrl: string;
    mainUrl?: string;
    mainUrlAriaLabel?: string;
    mainUrlIsExternal: boolean;
    mainUrlTitle?: string;
    standaloneUrl?: string;
    standaloneUrl2?: string;
    standaloneUrlAriaLabel?: string;
    standaloneUrlAriaLabel2?: string;
    standaloneUrlIsExternal: boolean;
    standaloneUrlIsExternal2: boolean;
    standaloneUrlTitle?: string;
    standaloneUrlTitle2?: string;
    textDescription: string;
    textTitle?: string;
  }
  interface HyCtaLinkButton {
    isExternal: boolean;
    /**
     * deprecated, use slot
     */
    linkContent: string;
    scLabel?: string;
    url?: string;
  }
  interface HyDocsContainer {}
  interface HyGridContainer {}
  interface HyGridItem {
    columns: GridColumns;
    columnslg: GridColumnsLg;
    columnssm: GridColumnsSm;
    contentalign: GridAlignVariants;
  }
  interface HyGridRow {}
  interface HyHeading {
    heading: HeadingVarians;
    negative: boolean;
    section: HeadingSectionVariants;
  }
  interface HyIcon {
    fill: string;
    icon: string;
    size: number;
  }
  interface HyImage {
    aspectRatioHeight: number;
    aspectRatioWidth: number;
    caption: string;
    imageAlt: string;
    imageUrl?: string;
  }
  interface HyIngress {}
  interface HyLink {
    isExternal: boolean;
    linkContent: string;
    scLabel?: string;
    url?: string;
    variant: LinkVariants;
  }
  interface HyLinkBox {
    imageAlt: string;
    imageUrl: string;
    isExternal: boolean;
    scLabel?: string;
    textDescription: string;
    textTitle?: string;
    url?: string;
  }
  interface HyModeToggler {}
  interface HyParagraphText {}
  interface HyProcess {
    dataItems: ProcessFlowBoxValue[] | string;
    variant: ProcessFlowBoxVariants;
  }
  interface HyProcessFlowBox {
    boxDescription: string;
    boxNumber: string;
    boxTitle: string;
    intermediateStepTitle: string;
    numberTerm: string;
    stepState: ProcessFlowBoxStepStates;
    variant: ProcessFlowBoxVariants;
  }
  interface HyRow {
    /**
     * justify-content property.
     */
    align: string;
    /**
     * justify-content property.
     */
    justify: string;
    /**
     * Left margin to be added to adjacent items.
     */
    margin: number;
  }
  interface HySectionContainer {}
  interface HyStandaloneLink {
    isEnabled: boolean;
    isExternal: boolean;
    linkContent: string;
    scLabel?: string;
    url?: string;
  }
  interface HyTinyText {}
}
declare global {
  interface HTMLColorBoxElement extends Components.ColorBox, HTMLStencilElement {}
  var HTMLColorBoxElement: {
    prototype: HTMLColorBoxElement;
    new (): HTMLColorBoxElement;
  };
  interface HTMLHyAccordionContainerElement extends Components.HyAccordionContainer, HTMLStencilElement {}
  var HTMLHyAccordionContainerElement: {
    prototype: HTMLHyAccordionContainerElement;
    new (): HTMLHyAccordionContainerElement;
  };
  interface HTMLHyAccordionItemElement extends Components.HyAccordionItem, HTMLStencilElement {}
  var HTMLHyAccordionItemElement: {
    prototype: HTMLHyAccordionItemElement;
    new (): HTMLHyAccordionItemElement;
  };
  interface HTMLHyBadgeElement extends Components.HyBadge, HTMLStencilElement {}
  var HTMLHyBadgeElement: {
    prototype: HTMLHyBadgeElement;
    new (): HTMLHyBadgeElement;
  };
  interface HTMLHyBaselineElement extends Components.HyBaseline, HTMLStencilElement {}
  var HTMLHyBaselineElement: {
    prototype: HTMLHyBaselineElement;
    new (): HTMLHyBaselineElement;
  };
  interface HTMLHyBoxElement extends Components.HyBox, HTMLStencilElement {}
  var HTMLHyBoxElement: {
    prototype: HTMLHyBoxElement;
    new (): HTMLHyBoxElement;
  };
  interface HTMLHyBoxContainerElement extends Components.HyBoxContainer, HTMLStencilElement {}
  var HTMLHyBoxContainerElement: {
    prototype: HTMLHyBoxContainerElement;
    new (): HTMLHyBoxContainerElement;
  };
  interface HTMLHyButtonElement extends Components.HyButton, HTMLStencilElement {}
  var HTMLHyButtonElement: {
    prototype: HTMLHyButtonElement;
    new (): HTMLHyButtonElement;
  };
  interface HTMLHyCtaLiftupImageTextElement extends Components.HyCtaLiftupImageText, HTMLStencilElement {}
  var HTMLHyCtaLiftupImageTextElement: {
    prototype: HTMLHyCtaLiftupImageTextElement;
    new (): HTMLHyCtaLiftupImageTextElement;
  };
  interface HTMLHyCtaLinkButtonElement extends Components.HyCtaLinkButton, HTMLStencilElement {}
  var HTMLHyCtaLinkButtonElement: {
    prototype: HTMLHyCtaLinkButtonElement;
    new (): HTMLHyCtaLinkButtonElement;
  };
  interface HTMLHyDocsContainerElement extends Components.HyDocsContainer, HTMLStencilElement {}
  var HTMLHyDocsContainerElement: {
    prototype: HTMLHyDocsContainerElement;
    new (): HTMLHyDocsContainerElement;
  };
  interface HTMLHyGridContainerElement extends Components.HyGridContainer, HTMLStencilElement {}
  var HTMLHyGridContainerElement: {
    prototype: HTMLHyGridContainerElement;
    new (): HTMLHyGridContainerElement;
  };
  interface HTMLHyGridItemElement extends Components.HyGridItem, HTMLStencilElement {}
  var HTMLHyGridItemElement: {
    prototype: HTMLHyGridItemElement;
    new (): HTMLHyGridItemElement;
  };
  interface HTMLHyGridRowElement extends Components.HyGridRow, HTMLStencilElement {}
  var HTMLHyGridRowElement: {
    prototype: HTMLHyGridRowElement;
    new (): HTMLHyGridRowElement;
  };
  interface HTMLHyHeadingElement extends Components.HyHeading, HTMLStencilElement {}
  var HTMLHyHeadingElement: {
    prototype: HTMLHyHeadingElement;
    new (): HTMLHyHeadingElement;
  };
  interface HTMLHyIconElement extends Components.HyIcon, HTMLStencilElement {}
  var HTMLHyIconElement: {
    prototype: HTMLHyIconElement;
    new (): HTMLHyIconElement;
  };
  interface HTMLHyImageElement extends Components.HyImage, HTMLStencilElement {}
  var HTMLHyImageElement: {
    prototype: HTMLHyImageElement;
    new (): HTMLHyImageElement;
  };
  interface HTMLHyIngressElement extends Components.HyIngress, HTMLStencilElement {}
  var HTMLHyIngressElement: {
    prototype: HTMLHyIngressElement;
    new (): HTMLHyIngressElement;
  };
  interface HTMLHyLinkElement extends Components.HyLink, HTMLStencilElement {}
  var HTMLHyLinkElement: {
    prototype: HTMLHyLinkElement;
    new (): HTMLHyLinkElement;
  };
  interface HTMLHyLinkBoxElement extends Components.HyLinkBox, HTMLStencilElement {}
  var HTMLHyLinkBoxElement: {
    prototype: HTMLHyLinkBoxElement;
    new (): HTMLHyLinkBoxElement;
  };
  interface HTMLHyModeTogglerElement extends Components.HyModeToggler, HTMLStencilElement {}
  var HTMLHyModeTogglerElement: {
    prototype: HTMLHyModeTogglerElement;
    new (): HTMLHyModeTogglerElement;
  };
  interface HTMLHyParagraphTextElement extends Components.HyParagraphText, HTMLStencilElement {}
  var HTMLHyParagraphTextElement: {
    prototype: HTMLHyParagraphTextElement;
    new (): HTMLHyParagraphTextElement;
  };
  interface HTMLHyProcessElement extends Components.HyProcess, HTMLStencilElement {}
  var HTMLHyProcessElement: {
    prototype: HTMLHyProcessElement;
    new (): HTMLHyProcessElement;
  };
  interface HTMLHyProcessFlowBoxElement extends Components.HyProcessFlowBox, HTMLStencilElement {}
  var HTMLHyProcessFlowBoxElement: {
    prototype: HTMLHyProcessFlowBoxElement;
    new (): HTMLHyProcessFlowBoxElement;
  };
  interface HTMLHyRowElement extends Components.HyRow, HTMLStencilElement {}
  var HTMLHyRowElement: {
    prototype: HTMLHyRowElement;
    new (): HTMLHyRowElement;
  };
  interface HTMLHySectionContainerElement extends Components.HySectionContainer, HTMLStencilElement {}
  var HTMLHySectionContainerElement: {
    prototype: HTMLHySectionContainerElement;
    new (): HTMLHySectionContainerElement;
  };
  interface HTMLHyStandaloneLinkElement extends Components.HyStandaloneLink, HTMLStencilElement {}
  var HTMLHyStandaloneLinkElement: {
    prototype: HTMLHyStandaloneLinkElement;
    new (): HTMLHyStandaloneLinkElement;
  };
  interface HTMLHyTinyTextElement extends Components.HyTinyText, HTMLStencilElement {}
  var HTMLHyTinyTextElement: {
    prototype: HTMLHyTinyTextElement;
    new (): HTMLHyTinyTextElement;
  };
  interface HTMLElementTagNameMap {
    'color-box': HTMLColorBoxElement;
    'hy-accordion-container': HTMLHyAccordionContainerElement;
    'hy-accordion-item': HTMLHyAccordionItemElement;
    'hy-badge': HTMLHyBadgeElement;
    'hy-baseline': HTMLHyBaselineElement;
    'hy-box': HTMLHyBoxElement;
    'hy-box-container': HTMLHyBoxContainerElement;
    'hy-button': HTMLHyButtonElement;
    'hy-cta-liftup-image-text': HTMLHyCtaLiftupImageTextElement;
    'hy-cta-link-button': HTMLHyCtaLinkButtonElement;
    'hy-docs-container': HTMLHyDocsContainerElement;
    'hy-grid-container': HTMLHyGridContainerElement;
    'hy-grid-item': HTMLHyGridItemElement;
    'hy-grid-row': HTMLHyGridRowElement;
    'hy-heading': HTMLHyHeadingElement;
    'hy-icon': HTMLHyIconElement;
    'hy-image': HTMLHyImageElement;
    'hy-ingress': HTMLHyIngressElement;
    'hy-link': HTMLHyLinkElement;
    'hy-link-box': HTMLHyLinkBoxElement;
    'hy-mode-toggler': HTMLHyModeTogglerElement;
    'hy-paragraph-text': HTMLHyParagraphTextElement;
    'hy-process': HTMLHyProcessElement;
    'hy-process-flow-box': HTMLHyProcessFlowBoxElement;
    'hy-row': HTMLHyRowElement;
    'hy-section-container': HTMLHySectionContainerElement;
    'hy-standalone-link': HTMLHyStandaloneLinkElement;
    'hy-tiny-text': HTMLHyTinyTextElement;
  }
}
declare namespace LocalJSX {
  interface ColorBox {}
  interface HyAccordionContainer {
    accordionid?: string;
  }
  interface HyAccordionItem {
    accordiontitle?: string;
  }
  interface HyBadge {
    variant?: 'primary' | 'warn' | 'success' | 'disabled';
  }
  interface HyBaseline {
    /**
     * Top margin to be added to all but first element. Amount of rem:s
     */
    margin?: number;
  }
  interface HyBox {
    /**
     * value for vertical alignment (align-items)
     */
    align?: string;
    /**
     * background color. Must use one of css variable names from color tokens
     */
    bg?: string;
    /**
     * fixed height for the container, useful for extra spacing containers
     */
    h?: number;
    /**
     * Value for horisontal alignment (justify-content)
     */
    justify?: string;
    /**
     * All sides padding value in rems. Responsive when given Comma separated values.
     */
    p?: string;
    /**
     * Bottom padding in rems. Responsive when given Comma separated values.
     */
    pb?: string;
    /**
     * Left padding in rems. Responsive when given Comma separated values.
     */
    pl?: string;
    /**
     * Right padding in rems. Responsive when given Comma separated values.
     */
    pr?: string;
    /**
     * Top padding in rems. Responsive when given Comma separated values.
     */
    pt?: string;
    /**
     * Responsive width. Must be a comma separated string of percentage values for breakpoints. First item is the default value.
     */
    width?: string;
  }
  interface HyBoxContainer {
    /**
     * Should the container have a max width of 90rems
     */
    maxWidth?: boolean;
    /**
     * Should the items wrap to new rows.
     */
    wrap?: boolean;
  }
  interface HyButton {
    /**
     * Aria label for the element
     */
    ariaLabel?: string;
    /**
     * Use this to programmatically disable the button, matches the native button functionality
     */
    disabled?: boolean;
    /**
     * Icon to use on the left side
     */
    icon?: string;
    /**
     * Icon to use on the right side
     */
    iconRight?: string;
    /**
     * Use only with url property. Sets the
     */
    isExternal?: boolean;
    /**
     * Size (height) of the button. Normal: 44px, large: 48px
     */
    size?: 'normal' | 'large';
    /**
     * deprecated, use disabled boolean value
     */
    state?: 'enabled' | 'disabled';
    /**
     * Set this on if an anchor tag is required instead of a button.
     */
    url?: string;
    /**
     * The element variant. Defaults to primary
     */
    variant?: ButtonVariants;
  }
  interface HyCtaLiftupImageText {
    imageAlt?: string;
    imageRight?: boolean;
    imageUrl?: string;
    mainUrl?: string;
    mainUrlAriaLabel?: string;
    mainUrlIsExternal?: boolean;
    mainUrlTitle?: string;
    standaloneUrl?: string;
    standaloneUrl2?: string;
    standaloneUrlAriaLabel?: string;
    standaloneUrlAriaLabel2?: string;
    standaloneUrlIsExternal?: boolean;
    standaloneUrlIsExternal2?: boolean;
    standaloneUrlTitle?: string;
    standaloneUrlTitle2?: string;
    textDescription?: string;
    textTitle?: string;
  }
  interface HyCtaLinkButton {
    isExternal?: boolean;
    /**
     * deprecated, use slot
     */
    linkContent?: string;
    scLabel?: string;
    url?: string;
  }
  interface HyDocsContainer {}
  interface HyGridContainer {}
  interface HyGridItem {
    columns?: GridColumns;
    columnslg?: GridColumnsLg;
    columnssm?: GridColumnsSm;
    contentalign?: GridAlignVariants;
  }
  interface HyGridRow {}
  interface HyHeading {
    heading?: HeadingVarians;
    negative?: boolean;
    section?: HeadingSectionVariants;
  }
  interface HyIcon {
    fill?: string;
    icon?: string;
    size?: number;
  }
  interface HyImage {
    aspectRatioHeight?: number;
    aspectRatioWidth?: number;
    caption?: string;
    imageAlt?: string;
    imageUrl?: string;
  }
  interface HyIngress {}
  interface HyLink {
    isExternal?: boolean;
    linkContent?: string;
    scLabel?: string;
    url?: string;
    variant?: LinkVariants;
  }
  interface HyLinkBox {
    imageAlt?: string;
    imageUrl?: string;
    isExternal?: boolean;
    scLabel?: string;
    textDescription?: string;
    textTitle?: string;
    url?: string;
  }
  interface HyModeToggler {}
  interface HyParagraphText {}
  interface HyProcess {
    dataItems?: ProcessFlowBoxValue[] | string;
    variant?: ProcessFlowBoxVariants;
  }
  interface HyProcessFlowBox {
    boxDescription?: string;
    boxNumber?: string;
    boxTitle?: string;
    intermediateStepTitle?: string;
    numberTerm?: string;
    stepState?: ProcessFlowBoxStepStates;
    variant?: ProcessFlowBoxVariants;
  }
  interface HyRow {
    /**
     * justify-content property.
     */
    align?: string;
    /**
     * justify-content property.
     */
    justify?: string;
    /**
     * Left margin to be added to adjacent items.
     */
    margin?: number;
  }
  interface HySectionContainer {}
  interface HyStandaloneLink {
    isEnabled?: boolean;
    isExternal?: boolean;
    linkContent?: string;
    scLabel?: string;
    url?: string;
  }
  interface HyTinyText {}
  interface IntrinsicElements {
    'color-box': ColorBox;
    'hy-accordion-container': HyAccordionContainer;
    'hy-accordion-item': HyAccordionItem;
    'hy-badge': HyBadge;
    'hy-baseline': HyBaseline;
    'hy-box': HyBox;
    'hy-box-container': HyBoxContainer;
    'hy-button': HyButton;
    'hy-cta-liftup-image-text': HyCtaLiftupImageText;
    'hy-cta-link-button': HyCtaLinkButton;
    'hy-docs-container': HyDocsContainer;
    'hy-grid-container': HyGridContainer;
    'hy-grid-item': HyGridItem;
    'hy-grid-row': HyGridRow;
    'hy-heading': HyHeading;
    'hy-icon': HyIcon;
    'hy-image': HyImage;
    'hy-ingress': HyIngress;
    'hy-link': HyLink;
    'hy-link-box': HyLinkBox;
    'hy-mode-toggler': HyModeToggler;
    'hy-paragraph-text': HyParagraphText;
    'hy-process': HyProcess;
    'hy-process-flow-box': HyProcessFlowBox;
    'hy-row': HyRow;
    'hy-section-container': HySectionContainer;
    'hy-standalone-link': HyStandaloneLink;
    'hy-tiny-text': HyTinyText;
  }
}
export {LocalJSX as JSX};
declare module '@stencil/core' {
  export namespace JSX {
    interface IntrinsicElements {
      'color-box': LocalJSX.ColorBox & JSXBase.HTMLAttributes<HTMLColorBoxElement>;
      'hy-accordion-container': LocalJSX.HyAccordionContainer & JSXBase.HTMLAttributes<HTMLHyAccordionContainerElement>;
      'hy-accordion-item': LocalJSX.HyAccordionItem & JSXBase.HTMLAttributes<HTMLHyAccordionItemElement>;
      'hy-badge': LocalJSX.HyBadge & JSXBase.HTMLAttributes<HTMLHyBadgeElement>;
      'hy-baseline': LocalJSX.HyBaseline & JSXBase.HTMLAttributes<HTMLHyBaselineElement>;
      'hy-box': LocalJSX.HyBox & JSXBase.HTMLAttributes<HTMLHyBoxElement>;
      'hy-box-container': LocalJSX.HyBoxContainer & JSXBase.HTMLAttributes<HTMLHyBoxContainerElement>;
      'hy-button': LocalJSX.HyButton & JSXBase.HTMLAttributes<HTMLHyButtonElement>;
      'hy-cta-liftup-image-text': LocalJSX.HyCtaLiftupImageText &
        JSXBase.HTMLAttributes<HTMLHyCtaLiftupImageTextElement>;
      'hy-cta-link-button': LocalJSX.HyCtaLinkButton & JSXBase.HTMLAttributes<HTMLHyCtaLinkButtonElement>;
      'hy-docs-container': LocalJSX.HyDocsContainer & JSXBase.HTMLAttributes<HTMLHyDocsContainerElement>;
      'hy-grid-container': LocalJSX.HyGridContainer & JSXBase.HTMLAttributes<HTMLHyGridContainerElement>;
      'hy-grid-item': LocalJSX.HyGridItem & JSXBase.HTMLAttributes<HTMLHyGridItemElement>;
      'hy-grid-row': LocalJSX.HyGridRow & JSXBase.HTMLAttributes<HTMLHyGridRowElement>;
      'hy-heading': LocalJSX.HyHeading & JSXBase.HTMLAttributes<HTMLHyHeadingElement>;
      'hy-icon': LocalJSX.HyIcon & JSXBase.HTMLAttributes<HTMLHyIconElement>;
      'hy-image': LocalJSX.HyImage & JSXBase.HTMLAttributes<HTMLHyImageElement>;
      'hy-ingress': LocalJSX.HyIngress & JSXBase.HTMLAttributes<HTMLHyIngressElement>;
      'hy-link': LocalJSX.HyLink & JSXBase.HTMLAttributes<HTMLHyLinkElement>;
      'hy-link-box': LocalJSX.HyLinkBox & JSXBase.HTMLAttributes<HTMLHyLinkBoxElement>;
      'hy-mode-toggler': LocalJSX.HyModeToggler & JSXBase.HTMLAttributes<HTMLHyModeTogglerElement>;
      'hy-paragraph-text': LocalJSX.HyParagraphText & JSXBase.HTMLAttributes<HTMLHyParagraphTextElement>;
      'hy-process': LocalJSX.HyProcess & JSXBase.HTMLAttributes<HTMLHyProcessElement>;
      'hy-process-flow-box': LocalJSX.HyProcessFlowBox & JSXBase.HTMLAttributes<HTMLHyProcessFlowBoxElement>;
      'hy-row': LocalJSX.HyRow & JSXBase.HTMLAttributes<HTMLHyRowElement>;
      'hy-section-container': LocalJSX.HySectionContainer & JSXBase.HTMLAttributes<HTMLHySectionContainerElement>;
      'hy-standalone-link': LocalJSX.HyStandaloneLink & JSXBase.HTMLAttributes<HTMLHyStandaloneLinkElement>;
      'hy-tiny-text': LocalJSX.HyTinyText & JSXBase.HTMLAttributes<HTMLHyTinyTextElement>;
    }
  }
}
